import { OnInit, EventEmitter } from "@angular/core";
import { Store } from "../../store/store";
import { Configs } from "../../models/Configs.model";
import { Column } from "../../models/Column.model";
import { AngularFixHeaderGridService } from "../../angular-fix-header-grid.service";
import * as i0 from "@angular/core";
export declare class GridBodyComponent implements OnInit {
    private angularFixHeaderGridService;
    raw_data: any[];
    display_data: any[];
    grid_data: any[];
    store: Store;
    configs: Configs;
    expand_tracker: any;
    edit_tracker: any;
    internal_configs: any;
    columns: Column[];
    cellclick: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    constructor(angularFixHeaderGridService: AngularFixHeaderGridService);
    ngOnInit(): void;
    setupPagination(): void;
    saveRecord($event: any): void;
    checkAndRefreshData(element: any): void;
    addRow(element: any): void;
    cancelEdit(row_data: any): void;
    selectRow(row_data: any, event: any): void;
    selectRowOnCheck(row_data: any, event: any): void;
    /**
     * Set Select All config on Select change.
     *
     */
    setSelectAllConfig(): void;
    showSelectBox(row_data: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridBodyComponent, "[db-grid-body]", never, { "store": { "alias": "store"; "required": false; }; "configs": { "alias": "configs"; "required": false; }; "expand_tracker": { "alias": "expand_tracker"; "required": false; }; "edit_tracker": { "alias": "edit_tracker"; "required": false; }; "internal_configs": { "alias": "internal_configs"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "cellclick": { "alias": "cellclick"; "required": false; }; "rowdelete": { "alias": "rowdelete"; "required": false; }; "rowsave": { "alias": "rowsave"; "required": false; }; "rowadd": { "alias": "rowadd"; "required": false; }; "rowselect": { "alias": "rowselect"; "required": false; }; "rowdeselect": { "alias": "rowdeselect"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=grid-body.component.d.ts.map