import { OnInit, EventEmitter } from "@angular/core";
import { Store } from "../../store/store";
import { Configs } from "../../models/Configs.model";
import { Column } from "../../models/Column.model";
import { AngularFixHeaderGridService } from "../../angular-fix-header-grid.service";
import * as i0 from "@angular/core";
export declare class GridHeadComponent implements OnInit {
    private angularFixHeaderGridService;
    store: Store;
    configs: Configs;
    edit_tracker: any;
    internal_configs: any;
    columns: Column[];
    rowselectall: EventEmitter<any>;
    rowdeselectall: EventEmitter<any>;
    constructor(angularFixHeaderGridService: AngularFixHeaderGridService);
    ngOnInit(): void;
    addRow(): void;
    selectAll(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridHeadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridHeadComponent, "[db-grid-head]", never, { "store": { "alias": "store"; "required": false; }; "configs": { "alias": "configs"; "required": false; }; "edit_tracker": { "alias": "edit_tracker"; "required": false; }; "internal_configs": { "alias": "internal_configs"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "rowselectall": { "alias": "rowselectall"; "required": false; }; "rowdeselectall": { "alias": "rowdeselectall"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=grid-head.component.d.ts.map