import { OnInit, AfterViewInit, EventEmitter, OnChanges } from "@angular/core";
import { Store } from "./store/store";
import { AngularFixHeaderGridService } from "./angular-fix-header-grid.service";
import { Column } from "./models/Column.model";
import { Configs } from "./models/Configs.model";
import * as i0 from "@angular/core";
export declare class AngularFixHeaderGridComponent implements OnInit, AfterViewInit, OnChanges {
    private angularFixHeaderGridService;
    processed_data: any[];
    columns: Column[];
    edit_tracker: any;
    internal_configs: any;
    angularFixedHeaderGridService: AngularFixHeaderGridService;
    store: Store;
    source: any[];
    configs: Configs;
    default_configs: Configs;
    default_column_config: Column;
    cellclick: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    rowselectall: EventEmitter<any>;
    rowdeselectall: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    constructor(angularFixHeaderGridService: AngularFixHeaderGridService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    setColumnWidth(): void;
    validateConfigs(): void;
    setDefaultConfigs(): void;
    setColumnNames(): void;
    selectAll(): void;
    deSelectAll(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularFixHeaderGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularFixHeaderGridComponent, "db-angular-fix-header-grid", never, { "source": { "alias": "source"; "required": false; }; "configs": { "alias": "configs"; "required": false; }; }, { "cellclick": "cellclick"; "rowselect": "rowselect"; "rowdeselect": "rowdeselect"; "rowselectall": "rowselectall"; "rowdeselectall": "rowdeselectall"; "rowadd": "rowadd"; "rowsave": "rowsave"; "rowdelete": "rowdelete"; }, never, never, false, never>;
}
//# sourceMappingURL=angular-fix-header-grid.component.d.ts.map